//直达页（分页用 伪静态） 
function redirectPageRewrite(url, page, Total) { 
	var new_url; 
	if (page === undefined || page === "" || isNaN(parseInt(page)) || parseInt(page) < 1) { 
	page = 1; 
	} 
	if (parseInt(page) > parseInt(Total)) { 
	page = Total; 
	} 
	if (url.match(/([a-z0-9]+)\-[\d]+\.html/) !== null) { 
	new_url = url + '?page=' + parseInt(page); 
	} else { 
	if (url.match(/page-[\d]+/) !== null) { 
	new_url = url.replace(/page-[\d]+/, 'page-' + parseInt(page)); 
	} else if (/\//) { 
	new_url = url + 'page-' + parseInt(page) + '/'; 
	} else { 
	new_url = url + '/page-' + parseInt(page) + '/'; 
	} 
	} 
	parent.window.location.href = new_url; 
} 

//非伪静态 
function redirectPage(url, page, Total) { 
	var new_url; 
	if (page === undefined || page === "" || isNaN(parseInt(page)) || parseInt(page) < 1) { 
	page = 1; 
	} 
	if (parseInt(page) > parseInt(Total)) { 
	page = Total; 
	} 
	if (url.match(/([a-z0-9]+)\-[\d]+\.html/) !== null) { 
	new_url = url + '?page=' + parseInt(page); 
	} else { 
	if (url.match(/page=[\d]+/) !== null) { 
	new_url = url.replace(/page=[\d]+/, 'page=' + parseInt(page)); 
	} else { 
	new_url = url + '&page=' + parseInt(page); 
	} 
	} 
	window.location.href = new_url; 
}
